<?php
$tdatastatistic_query = array();
$tdatastatistic_query[".searchableFields"] = array();
$tdatastatistic_query[".ShortName"] = "statistic_query";
$tdatastatistic_query[".OwnerID"] = "";
$tdatastatistic_query[".OriginalTable"] = "statistic_query";


$tdatastatistic_query[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistic_query[".originalPagesByType"] = $tdatastatistic_query[".pagesByType"];
$tdatastatistic_query[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistic_query[".originalPages"] = $tdatastatistic_query[".pages"];
$tdatastatistic_query[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistic_query[".originalDefaultPages"] = $tdatastatistic_query[".defaultPages"];

//	field labels
$fieldLabelsstatistic_query = array();
$fieldToolTipsstatistic_query = array();
$pageTitlesstatistic_query = array();
$placeHoldersstatistic_query = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistic_query["English"] = array();
	$fieldToolTipsstatistic_query["English"] = array();
	$placeHoldersstatistic_query["English"] = array();
	$pageTitlesstatistic_query["English"] = array();
	$fieldLabelsstatistic_query["English"]["Region"] = "المنطقة";
	$fieldToolTipsstatistic_query["English"]["Region"] = "";
	$placeHoldersstatistic_query["English"]["Region"] = "";
	$fieldLabelsstatistic_query["English"]["numRegion"] = "القلم";
	$fieldToolTipsstatistic_query["English"]["numRegion"] = "";
	$placeHoldersstatistic_query["English"]["numRegion"] = "";
	$fieldLabelsstatistic_query["English"]["not_V"] = "الناخبون";
	$fieldToolTipsstatistic_query["English"]["not_V"] = "";
	$placeHoldersstatistic_query["English"]["not_V"] = "";
	$fieldLabelsstatistic_query["English"]["V"] = "المقترعون";
	$fieldToolTipsstatistic_query["English"]["V"] = "";
	$placeHoldersstatistic_query["English"]["V"] = "";
	$fieldLabelsstatistic_query["English"]["Total"] = "المجموع";
	$fieldToolTipsstatistic_query["English"]["Total"] = "";
	$placeHoldersstatistic_query["English"]["Total"] = "";
	$fieldLabelsstatistic_query["English"]["Percentage"] = "% نسبة الأقتراع";
	$fieldToolTipsstatistic_query["English"]["Percentage"] = "";
	$placeHoldersstatistic_query["English"]["Percentage"] = "";
	$fieldLabelsstatistic_query["English"]["v_ma3"] = "إقترع مع";
	$fieldToolTipsstatistic_query["English"]["v_ma3"] = "";
	$placeHoldersstatistic_query["English"]["v_ma3"] = "";
	$fieldLabelsstatistic_query["English"]["v_dod"] = "إقترع ضد";
	$fieldToolTipsstatistic_query["English"]["v_dod"] = "";
	$placeHoldersstatistic_query["English"]["v_dod"] = "";
	$fieldLabelsstatistic_query["English"]["v_tachkil"] = "إقترع تشكيل";
	$fieldToolTipsstatistic_query["English"]["v_tachkil"] = "";
	$placeHoldersstatistic_query["English"]["v_tachkil"] = "";
	$fieldLabelsstatistic_query["English"]["v_majhoul"] = "إقترع مجهول";
	$fieldToolTipsstatistic_query["English"]["v_majhoul"] = "";
	$placeHoldersstatistic_query["English"]["v_majhoul"] = "";
	$fieldLabelsstatistic_query["English"]["nv_ma3"] = "لم يقترع - مع";
	$fieldToolTipsstatistic_query["English"]["nv_ma3"] = "";
	$placeHoldersstatistic_query["English"]["nv_ma3"] = "";
	$fieldLabelsstatistic_query["English"]["nv_dod"] = "لم يقترع - ضد";
	$fieldToolTipsstatistic_query["English"]["nv_dod"] = "";
	$placeHoldersstatistic_query["English"]["nv_dod"] = "";
	$fieldLabelsstatistic_query["English"]["nv_tachkil"] = "لم يقترع - تشكيل";
	$fieldToolTipsstatistic_query["English"]["nv_tachkil"] = "";
	$placeHoldersstatistic_query["English"]["nv_tachkil"] = "";
	$fieldLabelsstatistic_query["English"]["nv_majhoul"] = "لم يقترع - مجهول";
	$fieldToolTipsstatistic_query["English"]["nv_majhoul"] = "";
	$placeHoldersstatistic_query["English"]["nv_majhoul"] = "";
	if (count($fieldToolTipsstatistic_query["English"]))
		$tdatastatistic_query[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistic_query["Arabic"] = array();
	$fieldToolTipsstatistic_query["Arabic"] = array();
	$placeHoldersstatistic_query["Arabic"] = array();
	$pageTitlesstatistic_query["Arabic"] = array();
	$fieldLabelsstatistic_query["Arabic"]["Region"] = "Region";
	$fieldToolTipsstatistic_query["Arabic"]["Region"] = "";
	$placeHoldersstatistic_query["Arabic"]["Region"] = "";
	$fieldLabelsstatistic_query["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistic_query["Arabic"]["numRegion"] = "";
	$placeHoldersstatistic_query["Arabic"]["numRegion"] = "";
	$fieldLabelsstatistic_query["Arabic"]["not_V"] = "Not V";
	$fieldToolTipsstatistic_query["Arabic"]["not_V"] = "";
	$placeHoldersstatistic_query["Arabic"]["not_V"] = "";
	$fieldLabelsstatistic_query["Arabic"]["V"] = "V";
	$fieldToolTipsstatistic_query["Arabic"]["V"] = "";
	$placeHoldersstatistic_query["Arabic"]["V"] = "";
	$fieldLabelsstatistic_query["Arabic"]["Total"] = "Total";
	$fieldToolTipsstatistic_query["Arabic"]["Total"] = "";
	$placeHoldersstatistic_query["Arabic"]["Total"] = "";
	$fieldLabelsstatistic_query["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistic_query["Arabic"]["Percentage"] = "";
	$placeHoldersstatistic_query["Arabic"]["Percentage"] = "";
	$fieldLabelsstatistic_query["Arabic"]["v_ma3"] = "V Ma3";
	$fieldToolTipsstatistic_query["Arabic"]["v_ma3"] = "";
	$placeHoldersstatistic_query["Arabic"]["v_ma3"] = "";
	$fieldLabelsstatistic_query["Arabic"]["v_dod"] = "V Dod";
	$fieldToolTipsstatistic_query["Arabic"]["v_dod"] = "";
	$placeHoldersstatistic_query["Arabic"]["v_dod"] = "";
	$fieldLabelsstatistic_query["Arabic"]["v_tachkil"] = "V Tachkil";
	$fieldToolTipsstatistic_query["Arabic"]["v_tachkil"] = "";
	$placeHoldersstatistic_query["Arabic"]["v_tachkil"] = "";
	$fieldLabelsstatistic_query["Arabic"]["v_majhoul"] = "V Majhoul";
	$fieldToolTipsstatistic_query["Arabic"]["v_majhoul"] = "";
	$placeHoldersstatistic_query["Arabic"]["v_majhoul"] = "";
	$fieldLabelsstatistic_query["Arabic"]["nv_ma3"] = "Nv Ma3";
	$fieldToolTipsstatistic_query["Arabic"]["nv_ma3"] = "";
	$placeHoldersstatistic_query["Arabic"]["nv_ma3"] = "";
	$fieldLabelsstatistic_query["Arabic"]["nv_dod"] = "Nv Dod";
	$fieldToolTipsstatistic_query["Arabic"]["nv_dod"] = "";
	$placeHoldersstatistic_query["Arabic"]["nv_dod"] = "";
	$fieldLabelsstatistic_query["Arabic"]["nv_tachkil"] = "Nv Tachkil";
	$fieldToolTipsstatistic_query["Arabic"]["nv_tachkil"] = "";
	$placeHoldersstatistic_query["Arabic"]["nv_tachkil"] = "";
	$fieldLabelsstatistic_query["Arabic"]["nv_majhoul"] = "Nv Majhoul";
	$fieldToolTipsstatistic_query["Arabic"]["nv_majhoul"] = "";
	$placeHoldersstatistic_query["Arabic"]["nv_majhoul"] = "";
	if (count($fieldToolTipsstatistic_query["Arabic"]))
		$tdatastatistic_query[".isUseToolTips"] = true;
}


	$tdatastatistic_query[".NCSearch"] = true;



$tdatastatistic_query[".shortTableName"] = "statistic_query";
$tdatastatistic_query[".nSecOptions"] = 0;

$tdatastatistic_query[".mainTableOwnerID"] = "";
$tdatastatistic_query[".entityType"] = 0;
$tdatastatistic_query[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistic_query[".strOriginalTableName"] = "statistic_query";

	



$tdatastatistic_query[".showAddInPopup"] = false;

$tdatastatistic_query[".showEditInPopup"] = false;

$tdatastatistic_query[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistic_query[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistic_query[".listAjax"] = false;
//	temporary
$tdatastatistic_query[".listAjax"] = false;

	$tdatastatistic_query[".audit"] = false;

	$tdatastatistic_query[".locking"] = false;


$pages = $tdatastatistic_query[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistic_query[".edit"] = true;
	$tdatastatistic_query[".afterEditAction"] = 1;
	$tdatastatistic_query[".closePopupAfterEdit"] = 1;
	$tdatastatistic_query[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistic_query[".add"] = true;
$tdatastatistic_query[".afterAddAction"] = 1;
$tdatastatistic_query[".closePopupAfterAdd"] = 1;
$tdatastatistic_query[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistic_query[".list"] = true;
}



$tdatastatistic_query[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistic_query[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistic_query[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistic_query[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistic_query[".printFriendly"] = true;
}



$tdatastatistic_query[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistic_query[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistic_query[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistic_query[".isUseAjaxSuggest"] = true;

$tdatastatistic_query[".rowHighlite"] = true;





$tdatastatistic_query[".ajaxCodeSnippetAdded"] = false;

$tdatastatistic_query[".buttonsAdded"] = false;

$tdatastatistic_query[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistic_query[".isUseTimeForSearch"] = false;


$tdatastatistic_query[".badgeColor"] = "E8926F";


$tdatastatistic_query[".allSearchFields"] = array();
$tdatastatistic_query[".filterFields"] = array();
$tdatastatistic_query[".requiredSearchFields"] = array();

$tdatastatistic_query[".googleLikeFields"] = array();
$tdatastatistic_query[".googleLikeFields"][] = "Region";
$tdatastatistic_query[".googleLikeFields"][] = "numRegion";
$tdatastatistic_query[".googleLikeFields"][] = "not V";
$tdatastatistic_query[".googleLikeFields"][] = "V";
$tdatastatistic_query[".googleLikeFields"][] = "Total";
$tdatastatistic_query[".googleLikeFields"][] = "Percentage";
$tdatastatistic_query[".googleLikeFields"][] = "v ma3";
$tdatastatistic_query[".googleLikeFields"][] = "v dod";
$tdatastatistic_query[".googleLikeFields"][] = "v tachkil";
$tdatastatistic_query[".googleLikeFields"][] = "v majhoul";
$tdatastatistic_query[".googleLikeFields"][] = "nv ma3";
$tdatastatistic_query[".googleLikeFields"][] = "nv dod";
$tdatastatistic_query[".googleLikeFields"][] = "nv tachkil";
$tdatastatistic_query[".googleLikeFields"][] = "nv majhoul";



$tdatastatistic_query[".tableType"] = "list";

$tdatastatistic_query[".printerPageOrientation"] = 0;
$tdatastatistic_query[".nPrinterPageScale"] = 100;

$tdatastatistic_query[".nPrinterSplitRecords"] = 40;

$tdatastatistic_query[".geocodingEnabled"] = false;










$tdatastatistic_query[".pageSize"] = 20;

$tdatastatistic_query[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistic_query[".strOrderBy"] = $tstrOrderBy;

$tdatastatistic_query[".orderindexes"] = array();


$tdatastatistic_query[".sqlHead"] = "SELECT Region,  	numRegion,  	`not V`,  	V,  	Total,  	Percentage,  	`v ma3`,  	`v dod`,  	`v tachkil`,  	`v majhoul`,  	`nv ma3`,  	`nv dod`,  	`nv tachkil`,  	`nv majhoul`";
$tdatastatistic_query[".sqlFrom"] = "FROM statistic_query";
$tdatastatistic_query[".sqlWhereExpr"] = "";
$tdatastatistic_query[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistic_query[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistic_query[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistic_query[".highlightSearchResults"] = true;

$tableKeysstatistic_query = array();
$tdatastatistic_query[".Keys"] = $tableKeysstatistic_query;


$tdatastatistic_query[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["Region"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["numRegion"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "numRegion";
//	not V
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "not V";
	$fdata["GoodName"] = "not_V";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","not_V");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "not V";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`not V`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["not V"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "not V";
//	V
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "V";
	$fdata["GoodName"] = "V";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","V");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "V";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "V";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["V"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "V";
//	Total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Total";
	$fdata["GoodName"] = "Total";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","Total");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "Total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["Total"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "Total";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["Percentage"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "Percentage";
//	v ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "v ma3";
	$fdata["GoodName"] = "v_ma3";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","v_ma3");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "v ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`v ma3`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["v ma3"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "v ma3";
//	v dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "v dod";
	$fdata["GoodName"] = "v_dod";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","v_dod");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "v dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`v dod`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["v dod"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "v dod";
//	v tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "v tachkil";
	$fdata["GoodName"] = "v_tachkil";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","v_tachkil");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "v tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`v tachkil`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["v tachkil"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "v tachkil";
//	v majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "v majhoul";
	$fdata["GoodName"] = "v_majhoul";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","v_majhoul");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "v majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`v majhoul`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["v majhoul"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "v majhoul";
//	nv ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "nv ma3";
	$fdata["GoodName"] = "nv_ma3";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","nv_ma3");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "nv ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`nv ma3`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["nv ma3"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "nv ma3";
//	nv dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "nv dod";
	$fdata["GoodName"] = "nv_dod";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","nv_dod");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "nv dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`nv dod`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["nv dod"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "nv dod";
//	nv tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "nv tachkil";
	$fdata["GoodName"] = "nv_tachkil";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","nv_tachkil");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "nv tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`nv tachkil`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["nv tachkil"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "nv tachkil";
//	nv majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "nv majhoul";
	$fdata["GoodName"] = "nv_majhoul";
	$fdata["ownerTable"] = "statistic_query";
	$fdata["Label"] = GetFieldLabel("statistic_query","nv_majhoul");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "nv majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`nv majhoul`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistic_query["nv majhoul"] = $fdata;
		$tdatastatistic_query[".searchableFields"][] = "nv majhoul";


$tables_data["statistic_query"]=&$tdatastatistic_query;
$field_labels["statistic_query"] = &$fieldLabelsstatistic_query;
$fieldToolTips["statistic_query"] = &$fieldToolTipsstatistic_query;
$placeHolders["statistic_query"] = &$placeHoldersstatistic_query;
$page_titles["statistic_query"] = &$pageTitlesstatistic_query;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistic_query"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistic_query"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistic_query()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  	numRegion,  	`not V`,  	V,  	Total,  	Percentage,  	`v ma3`,  	`v dod`,  	`v tachkil`,  	`v majhoul`,  	`nv ma3`,  	`nv dod`,  	`nv tachkil`,  	`nv majhoul`";
$proto0["m_strFrom"] = "FROM statistic_query";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "statistic_query";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "statistic_query";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "not V",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto10["m_sql"] = "`not V`";
$proto10["m_srcTableName"] = "statistic_query";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "V",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto12["m_sql"] = "V";
$proto12["m_srcTableName"] = "statistic_query";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Total",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto14["m_sql"] = "Total";
$proto14["m_srcTableName"] = "statistic_query";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto16["m_sql"] = "Percentage";
$proto16["m_srcTableName"] = "statistic_query";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "v ma3",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto18["m_sql"] = "`v ma3`";
$proto18["m_srcTableName"] = "statistic_query";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "v dod",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto20["m_sql"] = "`v dod`";
$proto20["m_srcTableName"] = "statistic_query";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "v tachkil",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto22["m_sql"] = "`v tachkil`";
$proto22["m_srcTableName"] = "statistic_query";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "v majhoul",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto24["m_sql"] = "`v majhoul`";
$proto24["m_srcTableName"] = "statistic_query";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "nv ma3",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto26["m_sql"] = "`nv ma3`";
$proto26["m_srcTableName"] = "statistic_query";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "nv dod",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto28["m_sql"] = "`nv dod`";
$proto28["m_srcTableName"] = "statistic_query";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "nv tachkil",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto30["m_sql"] = "`nv tachkil`";
$proto30["m_srcTableName"] = "statistic_query";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "nv majhoul",
	"m_strTable" => "statistic_query",
	"m_srcTableName" => "statistic_query"
));

$proto32["m_sql"] = "`nv majhoul`";
$proto32["m_srcTableName"] = "statistic_query";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "statistic_query";
$proto35["m_srcTableName"] = "statistic_query";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "Region";
$proto35["m_columns"][] = "numRegion";
$proto35["m_columns"][] = "not V";
$proto35["m_columns"][] = "V";
$proto35["m_columns"][] = "Total";
$proto35["m_columns"][] = "Percentage";
$proto35["m_columns"][] = "v ma3";
$proto35["m_columns"][] = "v dod";
$proto35["m_columns"][] = "v tachkil";
$proto35["m_columns"][] = "v majhoul";
$proto35["m_columns"][] = "nv ma3";
$proto35["m_columns"][] = "nv dod";
$proto35["m_columns"][] = "nv tachkil";
$proto35["m_columns"][] = "nv majhoul";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "statistic_query";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "statistic_query";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistic_query";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistic_query = createSqlQuery_statistic_query();


	
		;

														

$tdatastatistic_query[".sqlquery"] = $queryData_statistic_query;



$tableEvents["statistic_query"] = new eventsBase;
$tdatastatistic_query[".hasEvents"] = false;

?>